Skip to main content
GET
/
api
/
reseller
/
v1
/
subusers
/
{id}
/
bandwidth
Get subuser bandwidth
curl --request GET \
  --url https://www.eclipseproxy.com/api/reseller/v1/subusers/{id}/bandwidth
{
  "username": "<string>",
  "bandwidthAllocated": 123,
  "bandwidthUsed": 123,
  "bandwidthRemaining": 123
}
Retrieve bandwidth allocation and usage for a specific subuser.

Authentication

Requires a reseller API key. Pass it as Authorization: Bearer YOUR_API_KEY or X-API-Key: YOUR_API_KEY. See Reseller overview.

Path parameters

id
string
required
The subuser username (full prefixed username, e.g. MYSTORE_user1).

Response

username
string
Full prefixed username.
bandwidthAllocated
number
Total bandwidth allocated to the subuser (MB).
bandwidthUsed
number
Bandwidth consumed so far (MB).
bandwidthRemaining
number
Bandwidth still available (MB).

Example response

{
  "status": "success",
  "message": "OK",
  "messageCode": "OK",
  "data": {
    "username": "MYSTORE_user1",
    "bandwidthAllocated": 100,
    "bandwidthUsed": 15,
    "bandwidthRemaining": 85
  }
}

Errors

  • 401 UNAUTHORIZED: missing or invalid API key
  • 403 NOT_RESELLER: account is not a reseller
  • 404 NOT_FOUND: no subuser with that username